%define KDEDATE		20001017
%define qtdir		/usr/lib/qt2
%define sourcedir	stable/%{version}/distribution/tar/generic/source

Name:		kdeaddutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Additional Utilities and toys
Version:	2.0
Release:	3mdk
Epoch:		1

Source:		ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdenonbeta-%{KDEDATE}-src.tar.bz2
Patch0:		kdeaddutils-kwebdesktop.desktop.patch.bz2
Patch1:		kdeaddutils-kwebdesktop.cpp.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL
Requires:	kdesupport kdelibs
Conflicts:	hackkernel, kernel >= 2.3

%description
Additional Utilities and Toys for the K Desktop Environment.

This package contains:
  - gofai
  - katalog
  - kautorun
  - kcolorchooser
  - kcoloredit
  - kddtest
  - kjezz
  - kmessage
  - kpaint
  - kphone
  - ktalk
  - kticker
  - kwebdesktop

%package devel
Group:		Graphical desktop/KDE
Requires:	kdesupport kdelibs kdeaddutils
Summary:	Header files for Additional Utilities and toys

%description devel
Header files needed for development with kdeaddutils.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdenonbeta
%patch0 -p1
%patch1 -p1

%build
make -f Makefile.cvs
export KDEDIR=%{prefix} QTDIR=%{qtdir}
./configure  --prefix=%_prefix \
	     --disable-rpath \
	     --disable-debug

perl -pi -e "s/(TOPSUBDIRS ?=.*)\bktip\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bmaudio2\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkparts\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bknotify\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bknetmon\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkdepass\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkdesu\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkexpress\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkglchess\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bklilo\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bksciplot\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bmotifdnd\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkthememgr\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\blibkmedia\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bnsplugins\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bpython\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bempath\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkbackpage\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkcron\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkcrontab\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkdao\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkbugreport\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bempath\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkafka\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bktux\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkonv\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkactivedesktop\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkarchie\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkfax\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkfaxview\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bklasstraphoba\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bklasstraphobia\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bnoatun\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkbiff\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkwin4\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkfinger\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bknu\b/\1 /gm" Makefile
#perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkautorun\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkanu\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bcaitoo\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkasbar\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkio-rio\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bksanetest\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bkgnuplot\b/\1 /gm" Makefile
perl -pi -e "s/(TOPSUBDIRS ?=.*)\bmathopd\b/\1 /gm" Makefile

make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/bin/ktip*
rm -rf $RPM_BUILD_ROOT/usr/bin/kiconed*
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kiconedit
rm -rf $RPM_BUILD_ROOT/usr/lib/libkscan*

##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
#kdedesktop2mdkmenu.pl kdeaddutils Amusement/Other $RPM_BUILD_ROOT/usr/share/applnk/Games/kjezz.desktop $RPM_BUILD_ROOT/usr/lib/menu/kjezz
#kdedesktop2mdkmenu.pl kdeaddutils Amusement/Other $RPM_BUILD_ROOT/usr/share/applnk/Games/kwin4.desktop $RPM_BUILD_ROOT/usr/lib/menu/kwin4
kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Graphics $RPM_BUILD_ROOT/usr/share/applnk/Graphics/katalog.desktop $RPM_BUILD_ROOT/usr/lib/menu/katalog
kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Graphics $RPM_BUILD_ROOT/usr/share/applnk/Graphics/kcolorchooser.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcolorchooser
kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Graphics $RPM_BUILD_ROOT/usr/share/applnk/Graphics/kcoloredit.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcoloredit
kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Graphics $RPM_BUILD_ROOT/usr/share/applnk/Graphics/kpaint.desktop $RPM_BUILD_ROOT/usr/lib/menu/kpaint
#kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kautorun.desktop $RPM_BUILD_ROOT/usr/lib/menu/kautorun
#kdedesktop2mdkmenu.pl kdeaddutils Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/noatun.desktop $RPM_BUILD_ROOT/usr/lib/menu/noatun
kdedesktop2mdkmenu.pl kdeaddutils Configuration/KDE/Applications $RPM_BUILD_ROOT/usr/share/applnk/Settings/Applications/drkonqi.desktop $RPM_BUILD_ROOT/usr/lib/menu/drkonqi kde
kdedesktop2mdkmenu.pl kdeaddutils Configuration/KDE/Applications $RPM_BUILD_ROOT/usr/share/applnk/Settings/Applications/gofai.desktop $RPM_BUILD_ROOT/usr/lib/menu/gofai kde
kdedesktop2mdkmenu.pl kdeaddutils Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/usr/share/applnk/Settings/LookNFeel/fontmanager.desktop $RPM_BUILD_ROOT/usr/lib/menu/fontmanager kde
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Internet/Kfinger.desktop $RPM_BUILD_ROOT/usr/lib/menu/Kfinger
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Internet/caitoo.desktop $RPM_BUILD_ROOT/usr/lib/menu/caitoo
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Internet/kbiff.desktop $RPM_BUILD_ROOT/usr/lib/menu/kbiff
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Internet/knu.desktop $RPM_BUILD_ROOT/usr/lib/menu/knu
kdedesktop2mdkmenu.pl kdeaddutils Networking/Chat $RPM_BUILD_ROOT/usr/share/applnk/Internet/kphone.desktop $RPM_BUILD_ROOT/usr/lib/menu/kphone
kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Utilities/gofai.desktop $RPM_BUILD_ROOT/usr/lib/menu/gofai
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Other $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kgrapher.kdelnk $RPM_BUILD_ROOT/usr/lib/menu/kgrapher
#kdedesktop2mdkmenu.pl kdeaddutils Networking/Chat $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kmessage.kdelnk $RPM_BUILD_ROOT/usr/lib/menu/kmessage
kdedesktop2mdkmenu.pl kdeaddutils Networking/News $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kticker.desktop $RPM_BUILD_ROOT/usr/lib/menu/kticker

mv $RPM_BUILD_ROOT/usr/share/doc/HTML/en/doc/index.html $RPM_BUILD_ROOT/usr/share/doc/HTML/en/doc/indexaddutils.html

rm -rf $RPM_BUILD_ROOT/usr/share/applnk

# Quick & dirty fix for menus
perl -pi -e "s|Applications/DrKonqi|Applications/drkonqi|" $RPM_BUILD_ROOT%_menudir/drkonqi
perl -pi -e "s|kcmshell Fontmanager|kcmshell LookNFeel/fontmanager|" $RPM_BUILD_ROOT%_menudir/fontmanager

%post
%update_menus
/sbin/ldconfig

%postun
/sbin/ldconfig
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%_libdir/*
%_bindir/*
%_datadir/*

%files devel
%defattr(-,root,root)
%_includedir/*

%changelog
* Wed Oct 25 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-3mdk
- Remove ksanetest
- Remove kgrapher
- Remove mathpod
- Patch kwebdesktop to really use http://www.linux-mandrake.com/en/kwebdesktop/
  as default active desktop
- Remove SOURCE1
- Rewrite list in Description

* Sun Oct 22 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Fix DrKonqi menu
- Remove kio-rio

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated Code to KDE 2.0 Release

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- KDE stuff for KDE only (Menu)
- Spec clean up
- Human readable description

* Tue Oct 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Added /usr/share/config/kdewebdesktoprc to set http://www.linux-mandrake.com/en/kwebdesktop/
  as default active desktop.

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated Code to Release Canditate 1

* Sat Sep 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated Code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated Code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated Code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated Code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Removed kautorun from package
- updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Removed kiconedit as it is broken

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated Code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated Code

* Mon Sep 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated Code

* Sat Sep 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated Code
- enabled kuml build

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated Code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated Code
- Turned off debug

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated Code

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Fixed menu entry

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code
- Fixed conflict with koffice reported by David Baudens.

* Sat Aug 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Removed kmessage and kjezz menu entries. Not ready.

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code
- Changed menu entries to use automated build script

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Packaged new package for Mandrake

